Bug 206539 - sysutils/reptyr: Fix build on FreeBSD 9 and unconditionally install bash completion file
Summary: sysutils/reptyr: Fix build on FreeBSD 9 and unconditionally install bash comp...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on: 206541
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-23 20:07 UTC by Raphael Kubo da Costa
Modified: 2016-02-02 18:29 UTC (History)
1 user (show)

See Also:
rakuco: maintainer-feedback+


Attachments
Proposed patch (3.48 KB, patch)
2016-01-23 20:07 UTC, Raphael Kubo da Costa
no flags Details | Diff
Patch v2 (4.23 KB, patch)
2016-01-24 16:49 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2016-01-23 20:07:28 UTC
Created attachment 166024 [details]
Proposed patch

The attached patch does two things:
- Fixes the build on FreeBSD 9 to fix a GCC warning turned-into-error.
- Gets rid of the BASH option: the bash-completion port itself installs a completion file for reptyr, so the port would otherwise actually conflict with it.
Comment 1 Andrey Cherkashin 2016-01-23 20:19:22 UTC
(In reply to Raphael Kubo da Costa from comment #0)
Looks good. Do you mind sending PR upstream if you haven't already?
Comment 2 Raphael Kubo da Costa freebsd_committer 2016-01-23 20:28:43 UTC
Actually, it looks like it's bash-completion that should be updated instead: https://anonscm.debian.org/cgit/bash-completion/bash-completion.git/commit/?id=6a4ad49fa53cc92d3bd23b5b4db0b3318f2ef136

In this case, I don't think there's anything to send upstream since the build warning looks like a bug with base GCC instead.

I'll try t fix bash-completion first and then update this patch.
Comment 3 Raphael Kubo da Costa freebsd_committer 2016-01-24 16:49:27 UTC
Created attachment 166068 [details]
Patch v2

Now that the bash-completion port has been updated to stop installing the reptyr completion file, another approach here:

- Unconditionally install the completion file and stop depending on the bash-completion port: reptyr just installs a file into the bash-completion directory, bash-completion itself is not necessary to build reptyr.

- Remove patch-Makefile and change the MANDIR and BASHCOMPDIR variables via MAKE_ARGS instead.

- Fix the build on FreeBSD 9 as mentioned above.
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-01-26 23:29:33 UTC
ping
Comment 5 Andrey Cherkashin 2016-01-26 23:49:13 UTC
(In reply to Raphael Kubo da Costa from comment #4)
LGTM. Sorry, I thought `+` is enough.
Comment 6 commit-hook freebsd_committer 2016-01-27 10:30:55 UTC
A commit references this bug:

Author: rakuco
Date: Wed Jan 27 10:30:43 UTC 2016
New revision: 407349
URL: https://svnweb.freebsd.org/changeset/ports/407349

Log:
  Fix build on FreeBSD 9 and clean up.

  - Add a small patch to fix the build on FreeBSD 9 and unmark it BROKEN there.
  - Drop patch-Makefile, everything that it was changed can be set via MAKE_ARGS
    instead.
  - Unconditionally install the bash-completion file and stop build-depending on
    shells/bash-completion: it is not needed at all, reptyr just installs a file
    into a bash-completion directory and does not actually need it for that.
    The BASH option was not even working before r407168 (see bug 206541).

  PR:		206539
  Approved by:	Andrey Cherkashin <andoriyu@gmail.com> (maintainer)
  MFH:		2016Q1

Changes:
  head/sysutils/reptyr/Makefile
  head/sysutils/reptyr/files/patch-Makefile
  head/sysutils/reptyr/files/patch-platform_freebsd_freebsd.c
  head/sysutils/reptyr/pkg-plist
Comment 7 Raphael Kubo da Costa freebsd_committer 2016-01-27 10:31:46 UTC
Committed, thanks. I was waiting for additional confirmation from you because my second patch different from the first one. Thanks for looking at it!
Comment 8 commit-hook freebsd_committer 2016-01-27 10:39:58 UTC
A commit references this bug:

Author: rakuco
Date: Wed Jan 27 10:39:05 UTC 2016
New revision: 407351
URL: https://svnweb.freebsd.org/changeset/ports/407351

Log:
  MFH: r407349

  Fix build on FreeBSD 9 and clean up.

  - Add a small patch to fix the build on FreeBSD 9 and unmark it BROKEN there.
  - Drop patch-Makefile, everything that it was changed can be set via MAKE_ARGS
    instead.
  - Unconditionally install the bash-completion file and stop build-depending on
    shells/bash-completion: it is not needed at all, reptyr just installs a file
    into a bash-completion directory and does not actually need it for that.
    The BASH option was not even working before r407168 (see bug 206541).

  PR:		206539
  Approved by:	Andrey Cherkashin <andoriyu@gmail.com> (maintainer)

  Approved by:	portmgr (miwi)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/sysutils/reptyr/Makefile
  branches/2016Q1/sysutils/reptyr/files/patch-Makefile
  branches/2016Q1/sysutils/reptyr/files/patch-platform_freebsd_freebsd.c
  branches/2016Q1/sysutils/reptyr/pkg-plist
Comment 9 Andrey Cherkashin 2016-01-30 06:58:32 UTC
(In reply to Raphael Kubo da Costa from comment #7)
Looks like build failed on 9.3
Comment 10 Raphael Kubo da Costa freebsd_committer 2016-01-30 08:33:58 UTC
That's weird. I'll take a look at this when I get home on Monday.
Comment 11 Raphael Kubo da Costa freebsd_committer 2016-02-02 18:13:37 UTC
Hmm, it only affects 9.3amd64, I was testing 9.3i386 which is usually the most problematic choice.

I've sent a pull request to fix this upstream: https://github.com/nelhage/reptyr/pull/72
Comment 12 commit-hook freebsd_committer 2016-02-02 18:28:57 UTC
A commit references this bug:

Author: rakuco
Date: Tue Feb  2 18:28:19 UTC 2016
New revision: 407832
URL: https://svnweb.freebsd.org/changeset/ports/407832

Log:
  Fix build on 9.3-amd64 after r407349.

  9.3-i386, which is what I was using for testing the build on FreeBSD 9, worked
  fine, but 9.3-amd64 was broken with -Werror. Add a patch I sent upstream to
  stop trying to cast NULL into an int, which was making GCC 4.2.1 complain:

  platform/freebsd/arch/x86_common.h: In function 'arch_get_register':
  platform/freebsd/arch/x86_common.h:48: warning: cast from pointer to integer of different size
  platform/freebsd/arch/x86_common.h: In function 'arch_set_register':
  platform/freebsd/arch/x86_common.h:57: warning: cast from pointer to integer of different size
  platform/freebsd/arch/x86_common.h:59: warning: cast from pointer to integer of different size
  platform/freebsd/freebsd_ptrace.c: In function 'ptrace_memcpy_to_child':
  platform/freebsd/freebsd_ptrace.c:267: warning: cast from pointer to integer of different size
  platform/freebsd/freebsd_ptrace.c: In function 'ptrace_memcpy_from_child':
  platform/freebsd/freebsd_ptrace.c:282: warning: cast from pointer to integer of different size

  PR:		206539

Changes:
  head/sysutils/reptyr/files/patch-git_308f600
Comment 13 commit-hook freebsd_committer 2016-02-02 18:29:58 UTC
A commit references this bug:

Author: rakuco
Date: Tue Feb  2 18:29:08 UTC 2016
New revision: 407833
URL: https://svnweb.freebsd.org/changeset/ports/407833

Log:
  MFH: r407832

  Fix build on 9.3-amd64 after r407349.

  9.3-i386, which is what I was using for testing the build on FreeBSD 9, worked
  fine, but 9.3-amd64 was broken with -Werror. Add a patch I sent upstream to
  stop trying to cast NULL into an int, which was making GCC 4.2.1 complain:

  platform/freebsd/arch/x86_common.h: In function 'arch_get_register':
  platform/freebsd/arch/x86_common.h:48: warning: cast from pointer to integer of different size
  platform/freebsd/arch/x86_common.h: In function 'arch_set_register':
  platform/freebsd/arch/x86_common.h:57: warning: cast from pointer to integer of different size
  platform/freebsd/arch/x86_common.h:59: warning: cast from pointer to integer of different size
  platform/freebsd/freebsd_ptrace.c: In function 'ptrace_memcpy_to_child':
  platform/freebsd/freebsd_ptrace.c:267: warning: cast from pointer to integer of different size
  platform/freebsd/freebsd_ptrace.c: In function 'ptrace_memcpy_from_child':
  platform/freebsd/freebsd_ptrace.c:282: warning: cast from pointer to integer of different size

  PR:		206539

  Approved by:	portmgr blanket approval

Changes:
_U  branches/2016Q1/
  branches/2016Q1/sysutils/reptyr/files/patch-git_308f600